using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Send
{
    /// <summary>
    /// 服务工单交办处理结果
    /// </summary>
    public class GetCaseResultReceiveInfo
    {
        /// <summary>
        /// 答复单位
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public string DeptName { get; set; }

        /// <summary>
        /// 答复时间
        /// </summary>
        [JsonPropertyName("FINISH_TIME")]
        public DateTime? FinishTime { get; set; }

        /// <summary>
        /// 答复人员
        /// </summary>
        [JsonPropertyName("FINISH_NAME")]
        public string FinishName { get; set; }

        /// <summary>
        /// 办理情况
        /// </summary>
        [JsonPropertyName("FINISH_NOTE")]
        public string FinishNote { get; set; }

        /// <summary>
        /// 办理操作
        /// </summary>
        [JsonPropertyName("FINISH_TYPE")]
        public string FinishType { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        [JsonPropertyName("END_DEPT")]
        public string EndDept { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        [JsonPropertyName("END_NAME")]
        public string EndName { get; set; }

        /// <summary>
        /// 联系时间
        /// </summary>
        [JsonPropertyName("CONCACT_TIME")]
        public DateTime? ConcactTime { get; set; }

        /// <summary>
        /// 联系方式
        /// </summary>
        [JsonPropertyName("CONCACT_TYPE")]
        public string ConcactType { get; set; }

        /// <summary>
        /// 办理时长
        /// </summary>
        [JsonPropertyName("HANDLETIME_LONG")]
        public decimal HandleTimeLong { get; set; }

        /// <summary>
        /// 签收时间
        /// </summary>
        [JsonPropertyName("SIGN_TIME")]
        public DateTime? SignTime { get; set; }

        /// <summary>
        /// 反馈时间
        /// </summary>
        [JsonPropertyName("FDBACKTIME")]
        public DateTime? FdBackTime { get; set; }

        /// <summary>
        /// 交办时间
        /// </summary>
        [JsonPropertyName("SEND_TIME")]
        public DateTime? SendTime { get; set; }

        /// <summary>
        /// 反馈意见
        /// </summary>
        [JsonPropertyName("FDBACK")]
        public string FdBack { get; set; }

        /// <summary>
        /// 区县区域代码
        /// </summary>
        [JsonPropertyName("END_AREACODE")]
        public string EndAreaCode { get; set; }

        /// <summary>
        /// 区县区域名称
        /// </summary>
        [JsonPropertyName("END_AREANAME")]
        public string EndAreaName { get; set; }

        /// <summary>
        /// 工单办理过程中交办单位
        /// </summary>
        [JsonPropertyName("BEIZHU")]
        public string BeiZhu { get; set; }

        /// <summary>
        /// 统一社会信用代码
        /// </summary>
        [JsonPropertyName("OPERATEDEPTCODE")]
        public string OperateDeptCode { get; set; }

        /// <summary>
        /// 任务单关联 guid
        /// </summary>
        [JsonPropertyName("TROWGUID")]
        public string TrowGuid { get; set; }

        /// <summary>
        /// 是否提供公开答复口径
        /// </summary>
        [JsonPropertyName("MSG_OPEN_BY_AREA")]
        public string MsgOpenByArea { get; set; }

        /// <summary>
        /// 地方不公开处理结果原因
        /// </summary>
        [JsonPropertyName("AREA_NOTPUBLIC_REASON")]
        public string AreaNotPublicReason { get; set; }

        /// <summary>
        /// 地方公开答复口径
        /// </summary>
        [JsonPropertyName("FEEDBACK_ANSWER_CONTENT")]
        public string FeedBackAnswerContent { get; set; }

        /// <summary>
        /// 是否公开
        /// </summary>
        [JsonPropertyName("ISWEBPUBLIC")]
        public string? IsWebPublic { get; set; }

        /// <summary>
        /// 已展开保密审查
        /// </summary>
        [JsonPropertyName("OPENREVIEW")]
        public string? OpenReview {  get; set; }

        /// <summary>
        /// 反馈人电话号码
        /// </summary>
        [JsonPropertyName("FEEDBACK_TEL")]
        public string FeedBackTel { get; set; }

        /// <summary>
        /// 备注-办理单位备注，仅审核可见，群众不可见，无备注填“无”
        /// </summary>
        [JsonPropertyName("NOTES")]
        public string Notes { get; set; } = "无";

        /// <summary>
        /// 事件类型
        /// </summary>
        [JsonPropertyName("EVENTTYPE")]
        public string EventType { get; set; }

        /// <summary>
        /// 事件名称
        /// </summary>
        [JsonPropertyName("EVENTNAME")]
        public string Eventname { get; set; }

        /// <summary>
        /// 是否与网民取得联系
        /// </summary>
        [JsonPropertyName("CONTACTFLAG")]
        public string ContactFlag { get; set; }

        /// <summary>
        /// 是否邀请网民评价
        /// </summary>
        [JsonPropertyName("ASSESSFLAG")]
        public string AssessFlag { get; set; }

        /// <summary>
        /// 网民评价类型
        /// </summary>
        [JsonPropertyName("ASSESSOPINION")]
        public string AssessOpinion { get; set; }

        /// <summary>
        /// 网民评价内容
        /// </summary>
        [JsonPropertyName("ASSESSCONTENT")]
        public string AssessContent { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [JsonPropertyName("CLIENG_GUID")]
        public string CliengGuid { get; set; }
    }
}
